Subject: Re: [PATCH 21/26] block: move the poll flag to queue_limits

From: Christoph Hellwig <[email-masked]>
Date: Wed, 12 Jun 2024 07:03:41 +0200

On Tue, Jun 11, 2024 at 05:21:07PM +0900, Damien Le Moal wrote:
> Kind of the same remark as for io_stat about this not really being a device
> feature. But I guess seeing "features" as a queue feature rather than just a
> device feature makes it OK to have poll (and io_stat) as a feature rather than
> a flag.

So unlike io_stat this very much is a feature and a feature only as
we don't even allow changing it.  It purely exposes a device (or
rather driver) capability.